# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'common_indexer/version'

Gem::Specification.new do |spec|
  spec.name          = 'common_indexer'
  spec.version       = CommonIndexer::VERSION
  spec.authors       = ['Michael Klein', 'Brendan Quinn']
  spec.email         = ['mbklein@gmail.com', 'brendan-quinn@northwestern.edu']

  spec.summary       = 'Common Indexing mixin for NUL Digital Collections'
  spec.description   = 'Common Indexing mixin for NUL Digital Collections'
  spec.homepage      = 'https://github.com/nulib/common-indexer'
  spec.license       = 'Apache2'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.require_paths = ['lib']

  spec.add_dependency 'active-fedora'
  spec.add_dependency 'activesupport'
  spec.add_dependency 'dry-configurable'
  spec.add_dependency 'json'
  spec.add_dependency 'typhoeus'
  spec.add_dependency 'elasticsearch'
  spec.add_development_dependency 'bixby'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'coveralls', '~> 0.8.3'
  spec.add_development_dependency 'pry-byebug'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'simplecov'
end
